
<!DOCTYPE html
><html lang="en">
    <head>
        <title>Courses for Programmers - Ribomation</title>
        <link rel="stylesheet" href="styles.css">
</head>
    
    <body class="fixed-sn light-blue-skin"><header><div 
    id="slide-out" class="side-nav sidebar-bg-2 fixed"><ul class="custom-scrollbar"><li class="logo-sn waves-effect"><div 
    class="text-center"><a href="/index.html" class="pl-0"><img src="/img/ribomation.png" alt="" class="img-fluid"></a></div></li>
    <li><form class="search-form" role="search"><div class="form-group md-form mt-0 pt-1 waves-light"><input id="search-course" 
    type="text" class="form-control" placeholder="Search..."></div></form></li><li id="courses-heading">Our Courses</li><li 
    id="courses-list"><ul class="collapsible collapsible-accordion"><li><a title="Courses in agile software development" 
    class="topic-name collapsible-header waves-effect arrow-r"><i class="fa fa-graduation-cap"></i> Agile Dev. <i 
    class="fa fa-angle-down rotate-icon"></i></a><div class="collapsible-body"><ul><li><a href="/courses/agile/index.html" 
    title="Courses in agile software development" class="course waves-effect">Overview of 3 courses</a></li><li><a 
    href="/courses/agile/clean-code.html" title="Course in how you systematically cleanse existing source code" 
    class="course waves-effect">Clean Code</a></li><li><a href="/courses/agile/design-patterns.html" 
    title="Course in Modern Design Patterns in Java" class="course waves-effect">Design Patterns</a></li><li><a 
    href="/courses/agile/scrum.html" title="Course in application development using the Scrum project method" 
    class="course waves-effect">Scrum</a></li></ul></div></li><li><a title="Courses about tools for software application build" 
    class="topic-name collapsible-header waves-effect arrow-r"><i class="fa fa-graduation-cap"></i> Build Tools <i 
    class="fa fa-angle-down rotate-icon"></i></a><div class="collapsible-body"><ul><li><a href="/courses/build/index.html" 
    title="Courses about tools for software application build" class="course waves-effect">Overview of 5 courses</a></li><li><a 
    href="/courses/build/cmake.html" title="Course in C/C++ application build using CMake" class="course waves-effect">CMake</a>
    </li><li><a href="/courses/build/gradle.html" title="Course in Java, Groovy, JVM application build using Gradle" 
    class="course waves-effect">Gradle</a></li><li><a href="/courses/build/gulpjs.html" 
    title="Course in application build using GulpJS, both client and server side" class="course waves-effect">GulpJS</a></li><li><a 
    href="/courses/build/make.html" title="Course in C/C++ application build using Make" class="course waves-effect">Make</a></li>
    <li><a href="/courses/build/maven.html" title="Course in Java, JVM application build using Maven" class="course waves-effect">
    Maven</a></li></ul></div></li><li><a title="Courses in C programming, POSIX Threads, Linux Systems Programming" 
    class="topic-name collapsible-header waves-effect arrow-r"><i class="fa fa-graduation-cap"></i> C <i 
    class="fa fa-angle-down rotate-icon"></i></a><div class="collapsible-body"><ul><li><a href="/courses/c/index.html" 
    title="Courses in C programming, POSIX Threads, Linux Systems Programming" class="course waves-effect">Overview of 3 courses</a>
    </li><li><a href="/courses/c/c-basics.html" title="Fundamental course in modern C" class="course waves-effect">C</a></li><li><a 
    href="/courses/c/c-systems-programming.html" 
    title="Extensive  course in fork/exec, pipe/dup2, tcp sockets, memory mapped I/O and much more" class="course waves-effect">
    Linux Sys. Progr. in C</a></li><li><a href="/courses/c/c-threads.html" title="Course in POSIX Threads using C Programming" 
    class="course waves-effect">POSIX Threads</a></li></ul></div></li><li><a title="Courses in Modern C++, based on C++ 11/14/17" 
    class="topic-name collapsible-header waves-effect arrow-r"><i class="fa fa-graduation-cap"></i> C++ <i 
    class="fa fa-angle-down rotate-icon"></i></a><div class="collapsible-body"><ul><li><a href="/courses/cxx/index.html" 
    title="Courses in Modern C++, based on C++ 11/14/17" class="course waves-effect">Overview of 9 courses</a></li><li><a 
    href="/courses/cxx/cxx-17.html" title="Course about the new standard C++ 11/14/17 covering both the language and the library" 
    class="course waves-effect">C++ 11/14/17</a></li><li><a href="/courses/cxx/cxx-basics.html" 
    title="Fundamental course in Modern C++, based on the new standard C++ 11/14/17" class="course waves-effect">C++ Basics</a></li>
    <li><a href="/courses/cxx/cxx-basics-4-c.html" 
    title="Fundamental course in Modern C++, based on the new standard C++ 11/14/17, aimed at C developers" 
    class="course waves-effect">C++ Basics (C)</a></li><li><a href="/courses/cxx/cxx-basics-4-java.html" 
    title="Fundamental course in Modern C++, based on the new standard C++ 11/14/17, aimed at Java programmers" 
    class="course waves-effect">C++ Basics (Java)</a></li><li><a href="/courses/cxx/cxx-catch2.html" 
    title="Course in writing C++ unit tests using Catch2" class="course waves-effect">C++ Catch2</a></li><li><a 
    href="/courses/cxx/cxx-gtest.html" title="Course in writing C++ unit tests using Google Test" class="course waves-effect">
    C++ Google Test</a></li><li><a href="/courses/cxx/cxx-supplementary.html" 
    title="Supplementary course in C++, with deepening in the language and its libary, with a focus on Modern C++" 
    class="course waves-effect">C++ Supplementary</a></li><li><a href="/courses/cxx/cxx-threads.html" 
    title="Course in C++ threads programming based on POSIX Threads as well as the new standard C++ 11/14/17" 
    class="course waves-effect">C++ Threads</a></li><li><a href="/courses/cxx/cxx-systems-programming.html" 
    title="Course in Linux systems programming using Modern C++" class="course waves-effect">Linux Sys. Progr. (C++)</a></li></ul>
    </div></li><li><a title="Courses in cloud computing with a focus on leading cloud suppliers" 
    class="topic-name collapsible-header waves-effect arrow-r"><i class="fa fa-graduation-cap"></i> Cloud Computing <i 
    class="fa fa-angle-down rotate-icon"></i></a><div class="collapsible-body"><ul><li><a href="/courses/cloud/index.html" 
    title="Courses in cloud computing with a focus on leading cloud suppliers" class="course waves-effect">Overview of 2 courses</a>
    </li><li><a href="/courses/cloud/aws-overview.html" title="Course in Amazon AWS, with a focus of quickly get up and running" 
    class="course waves-effect">Amazon AWS</a></li><li><a href="/courses/cloud/firebase.html" 
    title="Course in Google Firestore, Cloud Functions, Storage, Hosting and remaining Firebase services" 
    class="course waves-effect">Google Firebase</a></li></ul></div></li><li><a 
    title="Courses in tools for modern software development" class="topic-name collapsible-header waves-effect arrow-r"><i 
    class="fa fa-graduation-cap"></i> Dev. Tools <i class="fa fa-angle-down rotate-icon"></i></a><div class="collapsible-body"><ul>
    <li><a href="/courses/tools/index.html" title="Courses in tools for modern software development" class="course waves-effect">
    Overview of 3 courses</a></li><li><a href="/courses/tools/shell-scripts.html" 
    title="Course in how to develop BASH shell scripts in Linux, focusing on installation and deployment" 
    class="course waves-effect">BASH Shell Scripts</a></li><li><a href="/courses/tools/git.html" 
    title="Course in day-to-day usage of GIT for software development" class="course waves-effect">GIT</a></li><li><a 
    href="/courses/tools/jenkins.html" 
    title="Course in configure a Jenkins server as a continuous integration (CI) and deployment (CD) server" 
    class="course waves-effect">Jenkins</a></li></ul></div></li><li><a 
    title="Courses about programming in Groovy, Grails, Spock and more" class="topic-name collapsible-header waves-effect arrow-r">
    <i class="fa fa-graduation-cap"></i> Groovy <i class="fa fa-angle-down rotate-icon"></i></a><div class="collapsible-body"><ul>
    <li><a href="/courses/groovy/index.html" title="Courses about programming in Groovy, Grails, Spock and more" 
    class="course waves-effect">Overview of 3 courses</a></li><li><a href="/courses/groovy/grails.html" 
    title="Course in how to quickly build a web app using Groovy and Grails" class="course waves-effect">Grails</a></li><li><a 
    href="/courses/groovy/groovy.html" title="Course in Groovy Programming" class="course waves-effect">Groovy</a></li><li><a 
    href="/courses/groovy/spock.html" title="Course in writing unit tests using Groovy Spock" class="course waves-effect">Spock</a>
    </li></ul></div></li><li><a title="Courses in Java programming based on the latest editions of the langauge" 
    class="topic-name collapsible-header waves-effect arrow-r"><i class="fa fa-graduation-cap"></i> Java <i 
    class="fa fa-angle-down rotate-icon"></i></a><div class="collapsible-body"><ul><li><a href="/courses/java/index.html" 
    title="Courses in Java programming based on the latest editions of the langauge" class="course waves-effect">
    Overview of 7 courses</a></li><li><a href="/courses/java/java-10.html" 
    title="Course in the new features of Java 8/9/... such as lambda, data-streams, modules" class="course waves-effect">
    Java 8/9/...</a></li><li><a href="/courses/java/java-advanced.html" title="Advanced course in Java programming" 
    class="course waves-effect">Java Advanced</a></li><li><a href="/courses/java/java-basics.html" 
    title="Fundamental course in Java programming" class="course waves-effect">Java Basics</a></li><li><a 
    href="/courses/java/java-intermediate.html" title="Supplementary course in Java programming" class="course waves-effect">
    Java Intermediate</a></li><li><a href="/courses/java/java-rest-ws.html" title="Course in designing REST Web Services in Java" 
    class="course waves-effect">Java REST-WS</a></li><li><a href="/courses/java/java-threads.html" 
    title="Course in designing multi-threaded and concurrent applications in Java" class="course waves-effect">Java Threads</a></li>
    <li><a href="/courses/java/junit.html" title="Course in writing unit tests using Java JUnit" class="course waves-effect">
    JUnit Tests</a></li></ul></div></li><li><a title="Courses about JavaScript, TypeScript och NodeJS" 
    class="topic-name collapsible-header waves-effect arrow-r"><i class="fa fa-graduation-cap"></i> JavaScript <i 
    class="fa fa-angle-down rotate-icon"></i></a><div class="collapsible-body"><ul><li><a href="/courses/javascript/index.html" 
    title="Courses about JavaScript, TypeScript och NodeJS" class="course waves-effect">Overview of 3 courses</a></li><li><a 
    href="/courses/javascript/javascript.html" title="Course in JavaScript programming, for both client and server side" 
    class="course waves-effect">JavaScript</a></li><li><a href="/courses/javascript/nodejs.html" 
    title="Course in building server-side application using NodeJS" class="course waves-effect">NodeJS</a></li><li><a 
    href="/courses/javascript/typescript.html" title="Course in TypeScript programming for both client and server side" 
    class="course waves-effect">TypeScript</a></li></ul></div></li><li><a title="Courses about App Development for Smart-Phones" 
    class="topic-name collapsible-header waves-effect arrow-r"><i class="fa fa-graduation-cap"></i> Mobile Apps Dev. <i 
    class="fa fa-angle-down rotate-icon"></i></a><div class="collapsible-body"><ul><li><a href="/courses/mobile/index.html" 
    title="Courses about App Development for Smart-Phones" class="course waves-effect">Overview of 2 courses</a></li><li><a 
    href="/courses/mobile/android.html" title="Practical course in Android Mobile Apps Devevelopment" class="course waves-effect">
    Android</a></li><li><a href="/courses/mobile/ionic.html" 
    title="Course in implementation of  hybrid mobile apps using Ionic/Angular" class="course waves-effect">Ionic</a></li></ul>
    </div></li><li><a title="Courses about programming in Erlang and Perl" 
    class="topic-name collapsible-header waves-effect arrow-r"><i class="fa fa-graduation-cap"></i> Perl and Erlang <i 
    class="fa fa-angle-down rotate-icon"></i></a><div class="collapsible-body"><ul><li><a href="/courses/lang/index.html" 
    title="Courses about programming in Erlang and Perl" class="course waves-effect">Overview of 2 courses</a></li><li><a 
    href="/courses/lang/erlang.html" title="Course in Erlang programming" class="course waves-effect">Erlang</a></li><li><a 
    href="/courses/lang/perl.html" title="Course in Perl programming" class="course waves-effect">Perl</a></li></ul></div></li><li>
    <a title="Courses about web apps development" class="topic-name collapsible-header waves-effect arrow-r"><i 
    class="fa fa-graduation-cap"></i> Web Apps Dev. <i class="fa fa-angle-down rotate-icon"></i></a><div class="collapsible-body">
    <ul><li><a href="/courses/web/index.html" title="Courses about web apps development" class="course waves-effect">
    Overview of 4 courses</a></li><li><a href="/courses/web/angular-firebase.html" 
    title="Intermediate course in Angular focusing on PWA and using Firebase as its backend system" class="course waves-effect">
    Angular &amp; Firebase</a></li><li><a href="/courses/web/angular-basics.html" 
    title="Course in development of modern web apps using Angular" class="course waves-effect">Angular Basics</a></li><li><a 
    href="/courses/web/css-basics.html" title="Basics course in CSS &amp; HTML for programmers" class="course waves-effect">
    CSS Basics</a></li><li><a href="/courses/web/bootstrap.html" title="Course in designing web apps using Twitter Bootstrap" 
    class="course waves-effect">Twitter Bootstrap</a></li></ul></div></li></ul></li></ul><div class="sidenav-bg mask-strong"></div>
    </div><nav class="navbar fixed-top navbar-toggleable-md navbar-expand-lg scrolling-navbar double-nav"><div class="float-left"><a
     href="#" data-activates="slide-out" class="button-collapse"><i class="fa fa-bars"></i></a></div><div 
    class="breadcrumb-dn mr-auto"><p class="slogan">Courses in Programming for Developers</p></div><ul 
    class="nav navbar-nav nav-flex-icons ml-auto" id="pages-list"><li class="nav-item" title="Start/Welcome page"><a 
    class="nav-link hoverable" href="/index.html"><i class="fa fa-home"></i> <span class="clearfix d-none d-sm-inline-block">Home
    </span></a></li><li class="nav-item" title="Our pricing model for On-Site Courses"><a class="nav-link hoverable" 
    href="/pages/prices.html"><i class="fa fa-money"></i> <span class="clearfix d-none d-sm-inline-block">Prices</span></a></li><li 
    class="nav-item" title="Frequently asked questions and answers"><a class="nav-link hoverable" href="/pages/faq.html"><i 
    class="fa fa-question"></i> <span class="clearfix d-none d-sm-inline-block">F.A.Q.</span></a></li><li class="nav-item" 
    title="Our contact information"><a class="nav-link hoverable" href="/pages/contact.html"><i class="fa fa-info-circle"></i> <span
     class="clearfix d-none d-sm-inline-block">Contact</span></a></li><li class="nav-item"><a 
    href="https://www.ribomation.se/index.html" hreflang="sv" class="nav-link" id="lang-flag"><img src="img/flags/sv.png" 
    title="Visa på svenska"></a></li></ul></nav></header><main><div class="container-fluid mt-2"><div class="row"><div class="col">
    <h1 class="text-center h1-responsive hero-image">Courses in Programming for Developers</h1></div></div><section id="widgets" 
    class="mt-4"><div class="card-deck"><div class="card mb-1"><div class="card-body teal darken-3 text-center"><a 
    href="/pages/schedule.html" class="white-text"><i class="fa fa-calendar fa-2x"></i><h2>Scheduled Courses</h2><p class="m-0 p-1">
    Centrally in Stockholm City</p></a></div></div><div class="card mb-1"><div class="card-body teal darken-3 text-center"><a 
    href="/pages/prices.html#onsite" class="white-text"><i class="fa fa-plane fa-2x"></i><h2>On-Site Courses</h2><p class="m-0 p-1">
    We provide the course at your premises</p></a></div></div><div class="card mb-1"><div 
    class="card-body teal darken-3 text-center"><a href="/pages/prices.html" class="white-text"><i class="fa fa-money fa-2x"></i>
    <h2>Transparent Prices</h2><p class="m-0 p-1">Easy to see how much it will cost</p></a></div></div></div></section><section 
    id="info" class="mt-4"><div class="card-deck"><div class="card mb-1"><div class="card-body text-center z-depth-2"><h2 
    class="card-title">Starts Always</h2><p class="">
    Vi don&#x27;t cancel a classroom course, because of too few participants. If you have received an order confirmation from us, you can rest assured that the course will be launched; even if you will be the sole participant.
    </p></div></div><div class="card mb-1"><div class="card-body text-center z-depth-2"><h2 class="card-title">Authored by Us</h2><p
     class="">
    Our course material are always authored by ourselves and based on our own experiences and insights into the topic in question. Our written material is in English, to fit nicely with a language-mixed audience. However, the oral presentation can be perform in Swedish or English dependent on the desire of the participants.
    </p></div></div><div class="card mb-1"><div class="card-body text-center z-depth-2"><h2 class="card-title">20% Discount</h2><p 
    class="">
    When you sign up for a scheduled classroom course, we offer a 20% discount for each additional colleague (same company), who chooses to take the course at the same occurrence as you.
    </p></div></div></div></section><section id="testimonials-pane" class="mt-4"><div class="row"><div class="col"><div 
    class="card"><div class="card-body"><div id="testimonial" class="col text-center"><div><cite><i 
    class="fa fa-quote-left green-text darken-3"></i> Mycket bra och kunnig lärare. <i 
    class="fa fa-quote-right green-text darken-3"></i></cite><address class="text-right">-- <em>Satisfied participant on</em>
     Advanced C++</address></div><div><cite><i class="fa fa-quote-left green-text darken-3"></i> Duktig, pedagogisk. <i 
    class="fa fa-quote-right green-text darken-3"></i></cite><address class="text-right">-- <em>Satisfied participant on</em>
     Advanced C++</address></div><div><cite><i class="fa fa-quote-left green-text darken-3"></i> Utmärkta exempel. <i 
    class="fa fa-quote-right green-text darken-3"></i></cite><address class="text-right">-- <em>Satisfied participant on</em>
     Advanced C++</address></div><div><cite><i class="fa fa-quote-left green-text darken-3"></i>
     En av de bästa kurserna jag gått. Bra balans mellan teori och praktik. <i class="fa fa-quote-right green-text darken-3"></i>
    </cite><address class="text-right">-- <em>Satisfied participant on</em> Android Kickstart</address></div><div><cite><i 
    class="fa fa-quote-left green-text darken-3"></i> Very fun course. The teacher knows it all! <i 
    class="fa fa-quote-right green-text darken-3"></i></cite><address class="text-right">-- <em>Satisfied participant on</em>
     Angular</address></div><div><cite><i class="fa fa-quote-left green-text darken-3"></i>
     High pace, but fun. Nice and competent teacher. <i class="fa fa-quote-right green-text darken-3"></i></cite><address 
    class="text-right">-- <em>Satisfied participant on</em> Erlang Basics</address></div><div><cite><i 
    class="fa fa-quote-left green-text darken-3"></i> This was the best course that I have taken so far. <i 
    class="fa fa-quote-right green-text darken-3"></i></cite><address class="text-right">-- <em>Satisfied participant on</em>
     Linux Systems Programming</address></div><div><cite><i class="fa fa-quote-left green-text darken-3"></i>
     The quality of the course exceeded my expectation. Very good course! Very good teacher! <i 
    class="fa fa-quote-right green-text darken-3"></i></cite><address class="text-right">-- <em>Satisfied participant on</em>
     Linux Systems Programming</address></div><div><cite><i class="fa fa-quote-left green-text darken-3"></i>
     Perfect teacher, knows everything. <i class="fa fa-quote-right green-text darken-3"></i></cite><address class="text-right">-- 
    <em>Satisfied participant on</em> Linux Systems Programming</address></div><div><cite><i 
    class="fa fa-quote-left green-text darken-3"></i> The teacher has excellent knowledge regarding the course. <i 
    class="fa fa-quote-right green-text darken-3"></i></cite><address class="text-right">-- <em>Satisfied participant on</em>
     Linux Systems Programming</address></div><div><cite><i class="fa fa-quote-left green-text darken-3"></i>
     Kunnig, pedagogisk och vettig. <i class="fa fa-quote-right green-text darken-3"></i></cite><address class="text-right">-- <em>
    Satisfied participant on</em> Linux Systems Programming</address></div><div><cite><i 
    class="fa fa-quote-left green-text darken-3"></i> Amazing teacher with very deep and relevant knowledge of the subject. <i 
    class="fa fa-quote-right green-text darken-3"></i></cite><address class="text-right">-- <em>Satisfied participant on</em>
     Linux Systems Programming</address></div><div><cite><i class="fa fa-quote-left green-text darken-3"></i>
     Mycket bra! Många vitala delar behandlades, mycket bra med de praktiska övningarna! <i 
    class="fa fa-quote-right green-text darken-3"></i></cite><address class="text-right">-- <em>Satisfied participant on</em>
     Modern C++ for Java Developers</address></div><div><cite><i class="fa fa-quote-left green-text darken-3"></i>
     Mycket bra kurs, kan varmt rekommederas för Java utvecklare. <i class="fa fa-quote-right green-text darken-3"></i></cite>
    <address class="text-right">-- <em>Satisfied participant on</em> Modern C++ for Java Developers</address></div><div><cite><i 
    class="fa fa-quote-left green-text darken-3"></i> Välskrivet kursmaterial, duktig föreläsare och de praktiska övningarna. <i 
    class="fa fa-quote-right green-text darken-3"></i></cite><address class="text-right">-- <em>Satisfied participant on</em>
     Modern C++ for Java Developers</address></div><div><cite><i class="fa fa-quote-left green-text darken-3"></i>
     Kunnig föreläsare, bra kursmaterial och övningar. <i class="fa fa-quote-right green-text darken-3"></i></cite><address 
    class="text-right">-- <em>Satisfied participant on</em> Modern C++ for Java Developers</address></div><div><cite><i 
    class="fa fa-quote-left green-text darken-3"></i> One of the best courses I have attended. <i 
    class="fa fa-quote-right green-text darken-3"></i></cite><address class="text-right">-- <em>Satisfied participant on</em>
     Threads Programming using C++</address></div></div></div></div></div></div></section><section id="topical" class="mt-4"><div 
    class="row"><div class="col"><div class="card"><div class="card-body"><h2 class="card-title">Aktullt</h2><p class="card-title">
    Här presenterar vi några av våra 46 kurser.</p><article><h3>CSS &amp; HTML för Programmerare</h3><p>
    Ny kurs om CSS / HTML / JS. Du får lära dig allt du behöver veta om CSS & HTML för att förstå hur CSS regler ska utformas och hur webbläsaren väljer ut vilka regler som ska användas. Kursen är uppbyggd kring många korta teoriavsnitt, vilka avslutas med praktiska programmeringsövningar.
    </p><h5>Aktuella datum</h5><ul><li>7 &ndash; 10 oktober 2019 (Stockholm)</li></ul><a href="/courses/web/css-basics.html" 
    class="btn btn-dark-green">Läs mer om kursen här</a></article><article><h3>Angular</h3><p>En av våra mest populära kurser är 
    <em>Angular Basics</em>
    . Den lär dig allt du behöver veta för att snabbt komma igång och bygga moderna webbapplikationer med hjälp av Angular.</p><h5>
    Aktuella datum</h5><ul><li>30 sep &ndash; 3 okt 2019 (Stockholm)</li><li>28 &ndash; 31 oktober 2019 (Stockholm)</li></ul><a 
    href="/courses/web/angular-basics.html" class="btn btn-dark-green">Läs mer om kursen här</a></article><article><h3>
    Java Grundkurs</h3><p>
    Java är det största applikationsutvecklingsspråket och har utvecklats på ett imponerande sätt under de två årtionden det har funnits. Denna kurs ger dig grunderna i språket och delar av det enorma standardbiblioteket, så att du snabbt kan komma igång efter kursen med t.ex. programutveckling på server-sidan.
    </p><h5>Aktuella datum</h5><ul><li>23 &ndash; 27 september 2019 (Stockholm)</li><li>
    28 oktober &ndash; 1 november 2019 (Stockholm)</li></ul><a href="/courses/java/java-basics.html" class="btn btn-dark-green">
    Läs mer om kursen här</a></article><article><h3>Java för REST webbtjänster</h3><p>
    Webbtjänster baserade på REST principen är det moderna sättet att hantera servertjänster. I denna kurs får du lära dig både att hantera klient-sidan såväl som att designa och implementera server-sidan.
    </p><h5>Aktuella datum</h5><ul><li>11 &ndash; 13 september 2019 (Stockholm)</li><li>23 &ndash; 25 oktober 2019 (Stockholm)</li>
    </ul><a href="/courses/java/java-rest-ws.html" class="btn btn-dark-green">Läs mer om kursen här</a></article><article><h3>
    Modern Java, version 8&ndash;13</h3><p>
    Java version 8, införde tre begrepp som i grunden förändrar ditt sätt att designa programkoden inuti metoderna/funktionerna av en klass. Dessa tre är Lambda Expressions, Data Stream Pipelines samt Asynchronous Computation.
    </p><p>
    Java version 9, förändrade vårt sätt att designa Java applikationer, eftersom det nya modulsystemet (JPMS) är så pass genomgripande och skapar möjligheter för snabb uppstart av en Java applikationer och eliminering av class-not-found problem.
    </p><p>
    Denna kurs vänder sig till dig som idag arbetar med en tidigare version av Java och önskar att snabbt komma igång med att tillämpa alla nyheter i språket och standardbiblioteket.
    </p><h5>Aktuella datum</h5><ul><li>18 &ndash; 20 november 2019 (Stockholm)</li></ul><a href="/courses/java/java-10.html" 
    class="btn btn-dark-green">Läs mer om kursen här</a></article><article><h3>CMake för C/C++ apps</h3><p>
    CMake har seglat upp som det mest populära byggnations-verktyget för C/C++ applikationer och bibliotek. Skälet är att CMake egentligen är en generator för byggnations-verktyg såsom Make, Ninja, MSVSC++, Xcode med flera, vilket skapar flexibilitet avseende både verktyg och editorer.
    </p><p>Den här kursen fokuserar på att du snabbt ska komma igång med att skapa och arbeta i CMake baserade C/C++ projekt.</p>
    <h5>Aktuella datum</h5><ul><li>12 &ndash; 13 september 2019 (Stockholm)</li><li>10 &ndash; 11 oktober 2019 (Stockholm)</li></ul>
    <a href="/courses/build/cmake.html" class="btn btn-dark-green">Läs mer om kursen här</a></article><article><h3>
    C++ unit-test med Catch2</h3><p>
    Skriv inte en rad produktionskod utan att ha ett tillhörande enhets-test. I denna kurs går vi rakt på sak och lär dig hur du använder Catch2 för att skriva genomtänkta enhetstester.
    </p><h5>Aktuella datum</h5><ul><li>20 september 2019 (Stockholm)</li><li>25 oktober 2019 (Stockholm)</li></ul><a 
    href="/courses/cxx/cxx-catch2.html" class="btn btn-dark-green">Läs mer om kursen här</a></article></div></div></div></div>
    </section><div class="mb-5">&nbsp;</div></div></main><footer class="page-footer fixed-bottom blue-ic mt-4"><div 
    class="footer-copyright text-center py-3"><div class="container">© 2009-2019 Copyright: <a href="https://www.ribomation.se/" 
    class="hoverable">Ribomation AB, Stockholm/Sweden. </a><span class="float-right"><a href="/pages/gdpr.html" 
    class="text-light hoverable">(Our privacy policy - GDPR)</a></span></div></div></footer><script async 
    src="https://www.google-analytics.com/analytics.js"></script><script src="/js/jquery-3.3.1.min.js"></script><script 
    src="/js/popper.min.js"></script><script src="/js/bootstrap.min.js"></script><script src="/js/mdb.min.js"></script><script 
    src="/js/site.js"></script><script type="text/javascript" src="/js/front.js"></script></body></html>